<?php
/*
See yak-for-wordpress.php for information and license terms
*/

class Payment {
    function get_name() {
        return "";
    }
    
    function get_view_settings($model) {
    }
    
    function apply_options() {
    }
    
    function get_next_action() {
        return null;
    }
    
    function confirm_order($order_id, $items) {
    }
    
    function get_send_confirmation() {
        return true;
    }
    
    /**
     * Redirect to a specific page to provide instructions or to finalise payment.
     *
     * @param $payment_type the string name for the payment (Deposit, Cheque, etc)
     * @param $order_id the id of the order
     * @param $items an array of items
     * @param $shipping_cost total cost of shipping the order
     */
    function redirect($payment_type, $order_id, $items, $shipping_cost) {
        return "";
    }
}

if (!function_exists('yak_redirect_page')) {
    function yak_redirect_page($order_id, $items, $shippingcost, $send_conf_email, $page_uri) {
        yak_cleanup_after_order();
        
        if ($send_conf_email) {
            yak_send_confirmation_email($order_id);
        }
        
        $payment_types = yak_get_option(PAYMENT_TYPES, null);
        
        $order_num = yak_get_order_num($order_id);
        
        return yak_get_url($page_uri, true) . 'order_id=' . $order_num;
    }
}

if (!function_exists('yak_send_confirmation_email')) {
    /**
     * Send a confirmation email for an order.
     *
     * @param $order_id the id of the order
     */
    function yak_send_confirmation_email($order_id) {
        global $wpdb, $order_table, $order_detail_table;
        
        $conf_email = yak_get_option(CONFIRMATION_EMAIL_ADDRESS, '');
        
        if (!isset($conf_email) || $conf_email == '') {
            return;
        }
        
        $mail = yak_get_option(CONFIRMATION_MESSAGE, '');
        $subject = yak_get_option(CONFIRMATION_SUBJECT, __('Order Confirmation', 'yak'));
        
        $result = $wpdb->get_row("select * from $order_table where id = $order_id");
        
        $payment_type = $result->payment_type;
        
        $address = $result->address;
        $split = split("\n", $address);
        $email = $split[0];
        $name = $split[1];
        $phone = $split[2];
        $address = $name . "\n" . implode("\n", array_slice($split, 3));

        $shipping = $result->shipping_cost;
        
        $results = $wpdb->get_results("select * from $order_detail_table where id = $order_id");
        
        $totalprice = 0;
        $totalquantity = 0;
 
        if (yak_str_contains($mail, '[order_detail]')) {
            $detail = __('Title', 'yak') . ": %s\n" .
                      __('Quantity', 'yak') . ": %d\n" .
                      __('Price', 'yak') . ": %s\n" .
                      __('Total' , 'yak') . ": %s\n\n";
        
            $detailmsg = '';
            foreach ($results as $result) {
                $price = $result->price;
                $qty = $result->quantity;
                $totalprice += ($price * $qty);
                $itemprice = $price * $qty;
                $totalquantity += $qty;
                $detailmsg = $detailmsg . sprintf($detail, $result->itemname, $qty, yak_format_money($price, false), yak_format_money($itemprice, false));
            }
        
            $detailmsg = $detailmsg . __('Shipping costs', 'yak') . ' ' . yak_format_money($shipping, true) . "\n";
            
            $mail = str_replace('[order_detail]', $detailmsg, $mail);
        }
        
        if (yak_str_contains($mail, '[html_order_detail]')) {
            $detail = "<tr>\n"
                    . "  <td>%s</td>\n"
                    . "  <td>%s</td>\n"
                    . "  <td>%s</td>\n"
                    . "  <td>%s</td>\n"
                    . "</tr>\n";
        
            $detailmsg = "<table width=\"40%\" border=\"1\">\n"
                       . "  <tr>\n"
                       . "    <th>" . __('Title', 'yak') . "</th>\n"
                       . "    <th>" . __('Quantity', 'yak') . "</th>\n"
                       . "    <th>" . __('Price', 'yak') . "</th>\n"
                       . "    <th>" . __('Total', 'yak') . "</th>\n"
                       . "  </tr>\n";
            foreach ($results as $result) {
                $price = $result->price;
                $qty = $result->quantity;
                $totalprice += ($price * $qty);
                $itemprice = $price * $qty;
                $totalquantity += $qty;
                $detailmsg = $detailmsg . sprintf($detail, $result->itemname, $qty, yak_format_money($price, false), yak_format_money($itemprice, false));
            }
            $detailmsg .= "</table>\n"
                       .  "<p>" . __('Shipping costs', 'yak') . ' ' . yak_format_money($shipping, true) . "</p>\n";
            
            $mail = str_replace('[html_order_detail]', $detailmsg, $mail);
        }
        
        $totalprice += $shipping;
        
        $order_num = yak_get_order_num($order_id);
        
        $mail = str_replace('[order_id]', $order_num, $mail);
        $mail = str_replace('[order_cost]', yak_format_money($totalprice, true), $mail);
        $mail = str_replace('[payment_type]', $payment_type, $mail);
        $mail = str_replace('[shipping_address]', $address, $mail);
        $mail = str_replace('[html_shipping_address]', str_replace("\n", "<br />", $address), $mail);
        $mail = str_replace('[name]', $name, $mail);
        
        if (empty($mail)) {
            yak_log("WARNING: no confirmation message has been set");
            return;
        }
        
        //yak_log("mail is \n" . $mail);
        
        yak_sendmail($conf_email, $conf_email, $email, $subject, $mail); 
        yak_sendmail($conf_email, $conf_email, $conf_email, $subject . ' - ' . __('the following email has been sent to ', 'yak') . $email, $mail);
    }
}
?>