<?php
/*
See yak-for-wordpress.php for information and license terms
*/
global $wpdb;

$registry =& Registry::getInstance();

$payment_pages = array();
$payment_options = array();
$registry->set('payment_pages', $payment_pages);
$registry->set('payment_options', $payment_options);

$order_table = $wpdb->prefix . "yak_order";
$registry->set('order_table', $order_table);

$order_detail_table = $wpdb->prefix . "yak_order_detail";
$registry->set('order_detail_table', $order_detail_table);

$order_meta_table = $wpdb->prefix . "yak_order_meta";
$registry->set('order_meta_table', $order_meta_table);

$order_log_table = $wpdb->prefix . "yak_order_log";
$registry->set('order_log_table', $order_log_table);

$order_dl_table = $wpdb->prefix . "yak_order_dl";
$registry->set('order_dl_table', $order_dl_table);

$product_table = $wpdb->prefix . "yak_product";
$registry->set('product_table', $product_table);

$product_detail_table = $wpdb->prefix . "yak_product_detail";
$registry->set('product_detail_table', $product_detail_table);

$order_detail_index = $wpdb->prefix . "yak_order_detail_idx";
$registry->set('order_detail_index', $order_detail_index);

$order_meta_index = $wpdb->prefix . "yak_order_meta_idx";
$registry->set('order_meta_index', $order_meta_index);

$order_num_index = $wpdb->prefix . "yak_order_num_idx";
$registry->set('order_num_index', $order_num_index);

$token_table = $wpdb->prefix . "yak_token";
$registry->set('token_table', $token_table);

$promo_table = $wpdb->prefix . "yak_promotions";
$registry->set('promo_table', $promo_table);

$promo_index = $wpdb->prefix . "yak_promotions_idx";
$registry->set('promo_index', $promo_index);

$promo_users_table = $wpdb->prefix . "yak_promotion_users";
$registry->set('promo_users_table', $promo_users_table);

/**
 * CONSTANTS
 */
define("YAK_PRIORITY", 20);
define("YAK_ROOT_DIR", ABSPATH . 'wp-content/plugins/yak-for-wordpress/');
 
define("YAK_OPTIONS", "yak_options");
define("YAK_VERSION", "yak_version");
define("QUANTITY_INPUT_SIZE", "yak_quantity_input_size");
define("INCLUDE_SHIPPING_COSTS", "yak_include_shipping_costs");
define("CURRENCY_SYMBOL", "yak_currency_symbol");
define("MONEY_FORMAT", "yak_money_format");
define("CURRENCY_FORMAT", "yak_currency_format");
define("DECIMAL_POINT", "yak_decimal_point");
define("THOUSANDS_SEPARATOR", "yak_thousands_separator");
define("SHOW_OUT_OF_STOCK_MSG", "yak_show_out_of_stock");
define("CUSTOM_OUT_OF_STOCK_MSG", "yak_custom_out_of_stock");
define("CONFIRMATION_EMAIL_ADDRESS", "yak_confirmation_email");
define("CONFIRMATION_SUBJECT", "yak_confirmation_subject");
define("CONFIRMATION_MESSAGE", "yak_confirmation_message");
define("COOKIE_LIFETIME", "yak_cookie_lifetime");
define("REDIRECT_ON_BUY_TO", "yak_redirect_on_buy");
define("AUTO_DISCOUNT", "yak_auto_discount");
define("PRICE_ROUNDING", "yak_price_rounding");
define("ORDER_NUMBER_TYPE", "yak_order_number_type");
define("PAYMENT_TYPES", "yak_payment_types");
define("PAYMENT_TYPES_CASE_INSENSITIVE", "yak_payment_types_ci");
define("PAYMENT_TYPES_SET", "yak_payment_types_set");
define("PROMO_SET", "yak_promo_set");
define("DEFAULT_COUNTRY", "yak_default_country");
define("DEFAULT_SHIPPING", "yak_default_shipping");
define("DEFAULT_SHIPPING_FIXED_ITEM_FIRST", "yak_default_shipping_fixed_item_first");
define("DEFAULT_SHIPPING_FIXED_ITEM", "yak_default_shipping_fixed_item");
define("DEFAULT_SHIPPING_WEIGHT_FIRST", "yak_default_shipping_weight_first");
define("DEFAULT_SHIPPING_WEIGHT", "yak_default_shipping_weight");
define("SHIPPING_NOTES", "yak_shipping_notes");
define("DISPLAY_PRODUCT_OPTIONS", "yak_display_product_options");
define("PRODUCT_CATEGORY_NAME", "yak_product_category_name");
define("PRODUCT_PAGE_SIZE", "yak_product_page_size");
define("USE_SSL", "yak_use_ssl");
define("PAYMENT_PAGES", "yak_payment_pages");
define("DEFAULT_SPECIAL_INSTRUCTIONS", "yak_default_special_instructions");
define("EMPTY_BASKET_MESSAGE", "yak_empty_basket_message");

define("ITEMS_NAME", get_bloginfo('blogname') . '-items');

define("DOWNLOAD_EMAIL", "yak_download_email");
define("DOWNLOAD_EMAIL_ADDRESS", "yak_download_email_address");
define("DOWNLOAD_URI", "yak_download_uri");
define("DOWNLOAD_FILE", "yak_download_file");

define("CURRENCY_CODE", "yak_currency_code");

define("CREDIT_CARD", "Credit Card");

define("SPECIAL_OPTIONS_TEXT", "yak_special_options_text");
define("NO_CACHE_PAGES", "yak_no_caching");

define("HTTP_PROXY_URL", "yak_http_proxy_url");

define("ADDRESS_NAME", "yak_address_name");
define("ADDRESS_PHONE", "yak_address_phone");
define("ADDRESS", "yak_address_info");
define("ADDRESS_SEPARATE_BILLING", "yak_address_billing");

define("SHIPPING_WEIGHT_CALC", "yak_shipping_weight_calc");
define("DEFAULT_SHIPPING_WEIGHT_CALC", 100);

define("ENABLED_COUNTRIES", "yak_enabled_countries");

define("CATEGORIES", "yak_categories");

define("PAGES", "yak_pages");

define("PROMOTIONS", "yak_promotions");

define("REMOTE_GRAB_SERVER", "yak_remote_grab_server");
define("REMOTE_GRAB_PATH", "yak_remote_grab_path");

define("GENERATED", "Generated");
define("SEQUENCE", "Sequence");

static $credit_card_payments = array(
    CREDIT_CARD, AUTHORIZE_NET, AUTHORIZE_NET_TEST, PAYPAL_PRO_SANDBOX, PAYPAL_PRO_LIVE, DEMO_PAYMENT
);

/**
 * order statuses
 */
define("STOCK_SENT", "STOCK SENT");
define("CANCELLED", "CANCELLED");
define("ERROR", "ERROR");

/**
 * order number type
 */
static $order_number_types = array();
$order_number_types[GENERATED] = GENERATED;
$order_number_types[SEQUENCE] = SEQUENCE;

 
/**
 * required address fields
 */
static $required_address_fields = array();
$required_address_fields['email'] = __('an email address is required', 'yak');

if (yak_get_option(ADDRESS_NAME, '') == 'on') {
    $required_address_fields['recipient'] = __('a recipient name is required', 'yak');
}

if (yak_get_option(ADDRESS_PHONE, '') == 'on') {
    $required_address_fields['phone'] = __('phone is required', 'yak');    
}

if (yak_get_option(ADDRESS, '') == 'on') {
    $required_address_fields['addr1'] = __('address line 1 is required', 'yak');
    $required_address_fields['city'] = __('city is required', 'yak');
    $required_address_fields['postcode'] = __('postcode is required', 'yak');
}

/**
 * countries list
 */
static $countries = array(); 
$countries["北海道"] = "日本-北海道";
$countries["青森県"] = "日本-青森県";
$countries["岩手県"] = "日本-岩手県";
$countries["宮城県"] = "日本-宮城県";
$countries["秋田県"] = "日本-秋田県";
$countries["山形県"] = "日本-山形県";
$countries["福島県"] = "日本-福島県";
$countries["茨城県"] = "日本-茨城県";
$countries["栃木県"] = "日本-栃木県";
$countries["群馬県"] = "日本-群馬県";
$countries["埼玉県"] = "日本-埼玉県";
$countries["千葉県"] = "日本-千葉県";
$countries["東京都"] = "日本-東京都";
$countries["神奈川県"] = "日本-神奈川県";
$countries["新潟県"] = "日本-新潟県";
$countries["富山県"] = "日本-富山県";
$countries["石川県"] = "日本-石川県";
$countries["福井県"] = "日本-福井県";
$countries["山梨県"] = "日本-山梨県";
$countries["長野県"] = "日本-長野県";
$countries["岐阜県"] = "日本-岐阜県";
$countries["静岡県"] = "日本-静岡県";
$countries["愛知県"] = "日本-愛知県";
$countries["三重県"] = "日本-三重県";
$countries["滋賀県"] = "日本-滋賀県";
$countries["京都府"] = "日本-京都府";
$countries["大阪府"] = "日本-大阪府";
$countries["兵庫県"] = "日本-兵庫県";
$countries["奈良県"] = "日本-奈良県";
$countries["和歌山県"] = "日本-和歌山県";
$countries["鳥取県"] = "日本-鳥取県";
$countries["島根県"] = "日本-島根県";
$countries["岡山県"] = "日本-岡山県";
$countries["広島県"] = "日本-広島県";
$countries["山口県"] = "日本-山口県";
$countries["徳島県"] = "日本-徳島県";
$countries["香川県"] = "日本-香川県";
$countries["愛媛県"] = "日本-愛媛県";
$countries["高知県"] = "日本-高知県";
$countries["福岡県"] = "日本-福岡県";
$countries["佐賀県"] = "日本-佐賀県";
$countries["長崎県"] = "日本-長崎県";
$countries["熊本県"] = "日本-熊本県";
$countries["大分県"] = "日本-大分県";
$countries["宮崎県"] = "日本-宮崎県";
$countries["鹿児島県"] = "日本-鹿児島県";
$countries["沖縄県"] = "日本-沖縄県";
$countries["国外"] = "Overseas from Japan";
$countries["AF"] = "Afghanistan";
$countries["AL"] = "Albania";
$countries["DZ"] = "Algeria";
$countries["AS"] = "American Samoa";
$countries["AD"] = "Andorra";
$countries["AI"] = "Anguilla";
$countries["AQ"] = "Antarctica";
$countries["AG"] = "Antigua And Barbuda";
$countries["AR"] = "Argentina";
$countries["AM"] = "Armenia";
$countries["AW"] = "Aruba";
$countries["AU"] = "Australia";
$countries["AT"] = "Austria";
$countries["AZ"] = "Azerbaijan";
$countries["BS"] = "Bahamas";
$countries["BH"] = "Bahrain";
$countries["BD"] = "Bangladesh";
$countries["BB"] = "Barbados";
$countries["BY"] = "Belarus";
$countries["BE"] = "Belgium";
$countries["BZ"] = "Belize";
$countries["BJ"] = "Benin";
$countries["BM"] = "Bermuda";
$countries["BT"] = "Bhutan";
$countries["BO"] = "Bolivia";
$countries["BA"] = "Bosnia and Herzegovina";
$countries["BW"] = "Botswana";
$countries["BV"] = "Bouvet Island";
$countries["BR"] = "Brazil";
$countries["IO"] = "British Indian Ocean Territory";
$countries["BN"] = "Brunei Darussalam";
$countries["BG"] = "Bulgaria";
$countries["BF"] = "Burkina Faso";
$countries["BI"] = "Burundi";
$countries["KH"] = "Cambodia";
$countries["CM"] = "Cameroon";
$countries["CA"] = "Canada";
$countries["CV"] = "Cape Verde";
$countries["KY"] = "Cayman Islands";
$countries["CF"] = "Central African Republic";
$countries["TD"] = "Chad";
$countries["CL"] = "Chile";
$countries["CN"] = "China";
$countries["CX"] = "Christmas Island";
$countries["CC"] = "Cocos (Keeling) Islands";
$countries["CO"] = "Colombia";
$countries["KM"] = "Comoros";
$countries["CG"] = "Congo, the Democratic Republic of the";
$countries["CK"] = "Cook Islands";
$countries["CR"] = "Costa Rica";
$countries["HR"] = "Croatia";
$countries["CY"] = "Cyprus";
$countries["CZ"] = "Czech Republic";
$countries["DK"] = "Denmark";
$countries["DJ"] = "Djibouti";
$countries["DM"] = "Dominica";
$countries["DO"] = "Dominican Republic";
$countries["EC"] = "Ecuador";
$countries["EG"] = "Egypt";
$countries["SV"] = "El Salvador";
$countries["GQ"] = "Equatorial Guinea";
$countries["ER"] = "Eritrea";
$countries["ES"] = "Espana";
$countries["EE"] = "Estonia";
$countries["ET"] = "Ethiopia";
$countries["FK"] = "Falkland Islands";
$countries["FO"] = "Faroe Islands";
$countries["FJ"] = "Fiji";
$countries["FI"] = "Finland";
$countries["FR"] = "France";
$countries["GF"] = "French Guiana";
$countries["PF"] = "French Polynesia";
$countries["TF"] = "French Southern Territories";
$countries["GA"] = "Gabon";
$countries["GM"] = "Gambia";
$countries["GE"] = "Georgia";
$countries["DE"] = "Germany";
$countries["GH"] = "Ghana";
$countries["GI"] = "Gibraltar";
$countries["GR"] = "Greece";
$countries["GL"] = "Greenland";
$countries["GD"] = "Grenada";
$countries["GP"] = "Guadeloupe";
$countries["GU"] = "Guam";
$countries["GT"] = "Guatemala";
$countries["GN"] = "Guinea";
$countries["GW"] = "Guinea-Bissau";
$countries["GY"] = "Guyana";
$countries["HT"] = "Haiti";
$countries["HM"] = "Heard and Mc Donald Islands";
$countries["HN"] = "Honduras";
$countries["HK"] = "Hong Kong";
$countries["HU"] = "Hungary";
$countries["IS"] = "Iceland";
$countries["IN"] = "India";
$countries["ID"] = "Indonesia";
$countries["IE"] = "Ireland";
$countries["IL"] = "Israel";
$countries["IT"] = "Italy";
$countries["JM"] = "Jamaica";
$countries["JP"] = "Japan";
$countries["JO"] = "Jordan";
$countries["KZ"] = "Kazakhstan";
$countries["KE"] = "Kenya";
$countries["KI"] = "Kiribati";
$countries["KP"] = "Korea, Democratic People's Republic of";
$countries["KR"] = "Korea, Republic of";
$countries["KW"] = "Kuwait";
$countries["KG"] = "Kyrgyzstan";
$countries["LA"] = "Lao People's Democratic Republic";
$countries["LV"] = "Latvia";
$countries["LB"] = "Lebanon";
$countries["LS"] = "Lesotho";
$countries["LR"] = "Liberia";
$countries["LY"] = "Libya";
$countries["LI"] = "Liechtenstein";
$countries["LT"] = "Lithuania";
$countries["LU"] = "Luxembourg";
$countries["MO"] = "Macao";
$countries["MK"] = "Macedonia";
$countries["MG"] = "Madagascar";
$countries["MW"] = "Malawi";
$countries["MY"] = "Malaysia";
$countries["MV"] = "Maldives";
$countries["ML"] = "Mali";
$countries["MT"] = "Malta";
$countries["MH"] = "Marshall Islands";
$countries["MQ"] = "Martinique";
$countries["MR"] = "Mauritania";
$countries["MU"] = "Mauritius";
$countries["YT"] = "Mayotte";
$countries["MX"] = "Mexico";
$countries["FM"] = "Micronesia, Federated States of";
$countries["MD"] = "Moldova, Republic of";
$countries["MC"] = "Monaco";
$countries["MN"] = "Mongolia";
$countries["MS"] = "Montserrat";
$countries["MA"] = "Morocco";
$countries["MZ"] = "Mozambique";
$countries["MM"] = "Myanmar";
$countries["NA"] = "Namibia";
$countries["NR"] = "Nauru";
$countries["NP"] = "Nepal";
$countries["NL"] = "Netherlands";
$countries["AN"] = "Netherlands Antilles";
$countries["NC"] = "New Caledonia";
$countries["NZ"] = "New Zealand";
$countries["NI"] = "Nicaragua";
$countries["NE"] = "Niger";
$countries["NG"] = "Nigeria";
$countries["NU"] = "Niue";
$countries["NF"] = "Norfolk Island";
$countries["MP"] = "Northern Mariana Islands";
$countries["NO"] = "Norway";
$countries["OM"] = "Oman";
$countries["PK"] = "Pakistan";
$countries["PW"] = "Palau";
$countries["PA"] = "Panama";
$countries["PG"] = "Papua New Guinea";
$countries["PY"] = "Paraguay";
$countries["PE"] = "Peru";
$countries["PH"] = "Philippines";
$countries["PN"] = "Pitcairn";
$countries["PL"] = "Poland";
$countries["PT"] = "Portugal";
$countries["PR"] = "Puerto Rico";
$countries["QA"] = "Qatar";
$countries["RE"] = "Reunion";
$countries["RO"] = "Romania";
$countries["RU"] = "Russian Federation";
$countries["RW"] = "Rwanda";
$countries["KN"] = "Saint Kitts and Nevis";
$countries["LC"] = "Saint Lucia";
$countries["VC"] = "Saint Vincent and the Grenadines";
$countries["WS"] = "Samoa (Independent)";
$countries["SM"] = "San Marino";
$countries["ST"] = "Sao Tome and Principe";
$countries["SA"] = "Saudi Arabia";
$countries["SN"] = "Senegal";
$countries["CS"] = "Serbia and Montenegro";
$countries["SC"] = "Seychelles";
$countries["SL"] = "Sierra Leone";
$countries["SG"] = "Singapore";
$countries["SK"] = "Slovakia";
$countries["SI"] = "Slovenia";
$countries["SB"] = "Solomon Islands";
$countries["SO"] = "Somalia";
$countries["ZA"] = "South Africa";
$countries["GS"] = "South Georgia and the South Sandwich Islands";
$countries["LK"] = "Sri Lanka";
$countries["SH"] = "St. Helena";
$countries["PM"] = "St. Pierre and Miquelon";
$countries["SR"] = "Suriname";
$countries["SJ"] = "Svalbard and Jan Mayen Islands";
$countries["SZ"] = "Swaziland";
$countries["SE"] = "Sweden";
$countries["CH"] = "Switzerland";
$countries["TW"] = "Taiwan";
$countries["TJ"] = "Tajikistan";
$countries["TZ"] = "Tanzania";
$countries["TH"] = "Thailand";
$countries["TG"] = "Togo";
$countries["TK"] = "Tokelau";
$countries["TO"] = "Tonga";
$countries["TT"] = "Trinidad and Tobago";
$countries["TN"] = "Tunisia";
$countries["TR"] = "Turkey";
$countries["TM"] = "Turkmenistan";
$countries["TC"] = "Turks and Caicos Islands";
$countries["TV"] = "Tuvalu";
$countries["UG"] = "Uganda";
$countries["UA"] = "Ukraine";
$countries["AE"] = "United Arab Emirates";
$countries["GB"] = "United Kingdom";
$countries["US"] = "United States";
$countries["UM"] = "United States Minor Outlying Islands";
$countries["UY"] = "Uruguay";
$countries["UZ"] = "Uzbekistan";
$countries["VU"] = "Vanuatu";
$countries["VA"] = "Vatican City State (Holy See)";
$countries["VE"] = "Venezuela";
$countries["VN"] = "Viet Nam";
$countries["VG"] = "Virgin Islands (British)";
$countries["VI"] = "Virgin Islands (U.S.)";
$countries["WF"] = "Wallis and Futuna Islands";
$countries["EH"] = "Western Sahara";
$countries["YE"] = "Yemen";
$countries["ZM"] = "Zambia";
$countries["ZW"] = "Zimbabwe";

/**
 * US States List
 */
static $states = array();
$states["AL"] = "Alabama";
$states["AK"] = "Alaska";
$states["AS"] = "American Samoa";
$states["AZ"] = "Arizona";
$states["AR"] = "Arkansas";
$states["CA"] = "California";
$states["CO"] = "Colorado";
$states["CT"] = "Connecticut";
$states["DE"] = "Delaware";
$states["DC"] = "District of Columbia";
$states["FM"] = "Federated States of Micronesia";
$states["FL"] = "Florida";
$states["GA"] = "Georgia";
$states["GU"] = "Guam";
$states["HI"] = "Hawaii";
$states["ID"] = "Idaho";
$states["IL"] = "Illinois";
$states["IN"] = "Indiana";
$states["IA"] = "Iowa";
$states["KS"] = "Kansas";
$states["KY"] = "Kentucky";
$states["LA"] = "Louisiana";
$states["ME"] = "Maine";
$states["MH"] = "Marshall Islands";
$states["MD"] = "Maryland";
$states["MA"] = "Massachusetts";
$states["MI"] = "Michigan";
$states["MN"] = "Minnesota";
$states["MS"] = "Mississippi";
$states["MO"] = "Missouri";
$states["MT"] = "Montana";
$states["NE"] = "Nebraska";
$states["NV"] = "Nevada";
$states["NH"] = "New Hampshire";
$states["NJ"] = "New Jersey";
$states["NM"] = "New Mexico";
$states["NY"] = "New York";
$states["NC"] = "North Carolina";
$states["ND"] = "North Dakota";
$states["MP"] = "Northern Mariana Islands";
$states["OH"] = "Ohio";
$states["OK"] = "Oklahoma";
$states["OR"] = "Oregon";
$states["PW"] = "Palau";
$states["PA"] = "Pennsylvania";
$states["PR"] = "Puerto Rico";
$states["RI"] = "Rhode Island";
$states["SC"] = "South Carolina";
$states["SD"] = "South Dakota";
$states["TN"] = "Tennessee";
$states["TX"] = "Texas";
$states["UT"] = "Utah";
$states["VT"] = "Vermont";
$states["VI"] = "Virgin Islands";
$states["VA"] = "Virginia";
$states["WA"] = "Washington";
$states["WV"] = "West Virginia";
$states["WI"] = "Wisconsin";
$states["WY"] = "Wyoming";
$states["AA"] = "Armed Forces Americas";
$states["AE"] = "Armed Forces";
$states["AP"] = "Armed Forces Pacific";

/**
 * Canada states list
 */
static $canada_states = array();
$canada_states['AB'] = 'Alberta';
$canada_states['BC'] = 'British Columbia';
$canada_states['MB'] = 'Manitoba';
$canada_states['NB'] = 'New Brunswick';
$canada_states['NL'] = 'Newfoundland and Labrador';
$canada_states['NT'] = 'Northwest Territories';
$canada_states['NS'] = 'Nova Scotia';
$canada_states['NU'] = 'Nunavut';
$canada_states['ON'] = 'Ontario';
$canada_states['PE'] = 'Prince Edward Island';
$canada_states['QC'] = 'Quebec';
$canada_states['SK'] = 'Saskatchewan';
$canada_states['YT'] = 'Yukon';

/**
 * promotion types
 */
static $promo_types = array();
$promo_types["shipping_perc"] = "Shipping %";
$promo_types["shipping_val"] = "Shipping Value";
$promo_types["pricing_perc"] = "Pricing %";
$promo_types["pricing_val"] = "Pricing Value";

/**
 * formatters for money
 */
static $money_format = array();
$money_format["0"] = __('No decimal places', 'yak-admin');
$money_format["1"] = __('1 decimal place', 'yak-admin');
$money_format["2"] = __('2 decimal places', 'yak-admin');
$money_format["3"] = __('3 decimal places', 'yak-admin');

/**
 * formatters for currency
 */
static $currency_format = array();
$currency_format['%2$s%1$s'] = __("Symbol first, followed by amount, no spacing (e.g. $12.50)", "yak-admin");
$currency_format['%2$s %1$s'] = __("Symbol first, followed by amount, with spacing (e.g. kr 12.50)", "yak-admin");
$currency_format['%1$s%2$s'] = __("Amount first, followed by symbol, no spacing (e.g. 500¥)", "yak-admin");
$currency_format['%1$s %2$s'] = __("Amount first, followed by symbol, with spacing (e.g. 500 บาท)", "yak-admin");

/**
 * months
 */
static $months = array();
$months['00'] = ''; 
$months['01'] = 'January';
$months['02'] = 'February';
$months['03'] = 'March';
$months['04'] = 'April';
$months['05'] = 'May';
$months['06'] = 'June';
$months['07'] = 'July';
$months['08'] = 'August';
$months['09'] = 'September';
$months['10'] = 'October';
$months['11'] = 'November';
$months['12'] = 'December';
?>